import FormInputClassic from '@material-hu/components/design-system/Inputs/Classic/form';

import { useLokaliseTranslation } from 'src/utils/i18n';

import { ACKNOWLEDGEMENT_MESSAGE_MAX_LENGTH } from '../../../constants';
import { acknowledgementFormNames } from '../form';

export const AcknowledgementMessage = () => {
  const { t } = useLokaliseTranslation('acknowledgements');

  return (
    <FormInputClassic
      inputProps={{
        placeholder: t('message_placeholder'),
        label: t('message_label'),
        hasCounter: true,
        multiline: true,
        maxRows: 4,
        maxLength: ACKNOWLEDGEMENT_MESSAGE_MAX_LENGTH,
      }}
      name={acknowledgementFormNames.body}
    />
  );
};
